cmd_element Struct Reference
VTY Command

Structure of a command element. More...

`#include <command.h>`

## Data Fields

const char * | string
| Command specification by string.
int(* | func )(struct cmd_element *, struct vty *, int, const char *[])
const char * | doc
| Documentation of this command.
int | daemon
| Daemon to which this command belong.
vector | strvec
| Pointing out each description vector.
unsigned int | cmdsize
| Command index count.
char * | config
| Configuration string.
vector | subconfig
| Sub configuration string.
unsigned char | attr
| Command attributes.

## Detailed Description

Structure of a command element.

The documentation for this struct was generated from the following file:

- include/osmocom/vty/command.h